Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsxe.dom.completion
Class CompletionInfo

    java.lang.Object
      net.sourceforge.jsxe.dom.completion.CompletionInfo

public class CompletionInfo
extends Object

Encapsulates information about an XML document structure obtained from a DTD or Schema document.

Since:
  jsXe 0.4 pre1
Version:
  $Id: CompletionInfo.java 840 2006-04-09 00:33:07Z ian_lewis $
Author:
  Slava Pestov, Ian Lewis (IanLewis@member.fsf.org)

Field Summary
`protected ArrayList` | `elements`
`protected ArrayList` | `elementsAllowedAnywhere`
`protected ArrayList` | `entities`

Constructor Summary
`CompletionInfo()`
`CompletionInfo(ArrayList elements, HashMap elementHash, ArrayList entities, HashMap entityHash, ArrayList elementsAllowedAnywhere)`

Method Summary
`void` | `addElement(ElementDecl element)`
`void` | `addEntity(EntityDecl entity)`
`void` | `addEntity(int type, String name, String value)`
`void` | `addEntity(int type, String name, String publicId, String systemId)`
`Object` | `clone()`
`void` | `getAllElements(String prefix, List out)`
`static CompletionInfo` | `getCompletionInfoForNamespace(String namespace)`
`static CompletionInfo` | `getCompletionInfoFromResource(String resource)`
`ElementDecl` | `getElement(String localName)` Gets the element declaration for the element with the given local name.
`List` | `getEntities()` Gets the entities for this completion info
`EntityDecl` | `getEntity(String name)` Gets an entity with the given Name
`Map` | `getEntityHash()` Gets a map containing entity name to character and character to entity name mappings.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### elements

    protected ArrayList elements

### entities

    protected ArrayList entities

### elementsAllowedAnywhere

    protected ArrayList elementsAllowedAnywhere

Constructor Detail

### CompletionInfo

    public CompletionInfo()

### CompletionInfo

    public CompletionInfo(ArrayList elements,
                          HashMap elementHash,
                          ArrayList entities,
                          HashMap entityHash,
                          ArrayList elementsAllowedAnywhere)

Method Detail

### addEntity

    public void addEntity(int type,
                          String name,
                          String value)

### addEntity

    public void addEntity(int type,
                          String name,
                          String publicId,
                          String systemId)

### addEntity

    public void addEntity(EntityDecl entity)

### getEntity

    public EntityDecl getEntity(String name)

  Gets an entity with the given Name

  Parameters:
    `name` - the name of the entity

### getEntities

    public List getEntities()

  Gets the entities for this completion info

  Returns:
    a list of EntityDecl objects

### getEntityHash

    public Map getEntityHash()

  Gets a map containing entity name to character and character to entity name mappings.

### addElement

    public void addElement(ElementDecl element)

### getElement

    public ElementDecl getElement(String localName)

  Gets the element declaration for the element with the given local name.

### getAllElements

    public void getAllElements(String prefix,
                               List out)

### toString

    public String toString()

### getCompletionInfoForNamespace

    public static CompletionInfo getCompletionInfoForNamespace(String namespace)

### getCompletionInfoFromResource

    public static CompletionInfo getCompletionInfoFromResource(String resource)

### clone

    public final Object clone()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD